=== debian/control ===
Source: ros-foxy-tracetools-analysis
Section: misc
Priority: optional
Maintainer: Christophe Bedard <bedard.christophe@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pandas, python3-pytest, ros-foxy-ament-copyright, ros-foxy-ament-flake8, ros-foxy-ament-mypy, ros-foxy-ament-pep257, ros-foxy-ament-xmllint, ros-foxy-tracetools-read, ros-foxy-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-tracetools-analysis
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, jupyter-notebook, python3-pandas, ros-foxy-tracetools-read, ros-foxy-ros-workspace
Description: Tools for analysing trace data.
